Package com.independentsoft.msg

# Class Recipient

java.lang.Object
com.independentsoft.msg.Recipient

public class Recipient extends Object
Represents a user or resource, generally a mail message addressee.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Recipient()`
  Initializes a new instance of the Recipient class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddressType()`
  Gets the recipient's e-mail address type, such as Simple Mail Transfer Protocol (SMTP).
  `String`
  `getDisplayName()`
  Gets the display name of the recipient.
  `String`
  `getDisplayName7Bit()`
  Gets a 7-bit ASCII representation of the recipient's display name.
  `DisplayType`
  `getDisplayType()`
  Gets a value used to associate an icon with a particular row of a table.
  `String`
  `getEmailAddress()`
  Gets the recipient's e-mail address.
  `byte[]`
  `getEntryId()`
  Gets the EntryID of the recipient.
  `byte[]`
  `getInstanceKey()`
  Gets a value that uniquely identifies a row in a table.
  `ObjectType`
  `getObjectType()`
  Gets the type of the recipient.
  `String`
  `getOriginatingAddressType()`
  Gets the originating address type.
  `String`
  `getOriginatingEmailAddress()`
  Gets the originating email address.
  `RecipientType`
  `getRecipientType()`
  Gets the recipient type for a message recipient.
  `boolean`
  `getResponsibility()`
  Gets true if some transport provider has already accepted responsibility for delivering the message to this recipient, and false if the MAPI spooler considers that this transport provider should accept responsibility.
  `byte[]`
  `getSearchKey()`
  Gets a binary-comparable key that identifies correlated objects for a search.
  `int`
  `getSendInternetEncoding()`
  Gets a bitmask of encoding preferences.
  `boolean`
  `getSendRichInfo()`
  Gets true if the recipient can receive all message content, including Rich Text Format (RTF) and Object Linking and Embedding (OLE) objects.
  `String`
  `getSmtpAddress()`
  Gets SMTP email address.
  `String`
  `getTransmitableDisplayName()`
  Gets a recipient's display name in a secure form that cannot be changed.
  `void`
  `setAddressType​(String addressType)`
  Sets the recipient's e-mail address type, such as Simple Mail Transfer Protocol (SMTP).
  `void`
  `setDisplayName​(String displayName)`
  Sets the display name of the recipient.
  `void`
  `setDisplayName7Bit​(String displayName7Bit)`
  Sets a 7-bit ASCII representation of the recipient's display name.
  `void`
  `setDisplayType​(DisplayType displayType)`
  Sets a value used to associate an icon with a particular row of a table.
  `void`
  `setEmailAddress​(String emailAddress)`
  Sets the recipient's e-mail address.
  `void`
  `setEntryId​(byte[] entryId)`
  Sets the EntryID of the recipient.
  `void`
  `setInstanceKey​(byte[] instanceKey)`
  Sets a value that uniquely identifies a row in a table.
  `void`
  `setObjectType​(ObjectType objectType)`
  Sets the type of the recipient.
  `void`
  `setOriginatingAddressType​(String originatingAddressType)`
  Sets the originating address type.
  `void`
  `setOriginatingEmailAddress​(String originatingEmailAddress)`
  Sets the originating email address.
  `void`
  `setRecipientType​(RecipientType recipientType)`
  Sets the recipient type for a message recipient.
  `void`
  `setResponsibility​(boolean responsibility)`
  Sets true if some transport provider has already accepted responsibility for delivering the message to this recipient, and false if the MAPI spooler considers that this transport provider should accept responsibility.
  `void`
  `setSearchKey​(byte[] searchKey)`
  Sets a binary-comparable key that identifies correlated objects for a search.
  `void`
  `setSendInternetEncoding​(int sendInternetEncoding)`
  Sets a bitmask of encoding preferences.
  `void`
  `setSendRichInfo​(boolean sendRichInfo)`
  Sets true if the recipient can receive all message content, including Rich Text Format (RTF) and Object Linking and Embedding (OLE) objects.
  `void`
  `setSmtpAddress​(String smtpAddress)`
  Sets SMTP email address.
  `void`
  `setTransmitableDisplayName​(String transmitableDisplayName)`
  Sets a recipient's display name in a secure form that cannot be changed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Recipient

    public Recipient()
    Initializes a new instance of the Recipient class.

- ## Method Details

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name of the recipient.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the display name of the recipient.
    Parameters:
      `displayName` - the new display name

  - ### getEmailAddress

    public String getEmailAddress()
    Gets the recipient's e-mail address.
    Returns:
      the email address

  - ### setEmailAddress

    public void setEmailAddress​(String emailAddress)
    Sets the recipient's e-mail address.
    Parameters:
      `emailAddress` - the new email address

  - ### getAddressType

    public String getAddressType()
    Gets the recipient's e-mail address type, such as Simple Mail Transfer Protocol (SMTP).
    Returns:
      the address type

  - ### setAddressType

    public void setAddressType​(String addressType)
    Sets the recipient's e-mail address type, such as Simple Mail Transfer Protocol (SMTP).
    Parameters:
      `addressType` - the new address type

  - ### getObjectType

    public ObjectType getObjectType()
    Gets the type of the recipient.
    Returns:
      the object type

  - ### setObjectType

    public void setObjectType​(ObjectType objectType)
    Sets the type of the recipient.
    Parameters:
      `objectType` - the new object type

  - ### getRecipientType

    public RecipientType getRecipientType()
    Gets the recipient type for a message recipient.
    Returns:
      the recipient type

  - ### setRecipientType

    public void setRecipientType​(RecipientType recipientType)
    Sets the recipient type for a message recipient.
    Parameters:
      `recipientType` - the new recipient type

  - ### getDisplayType

    public DisplayType getDisplayType()
    Gets a value used to associate an icon with a particular row of a table.
    Returns:
      the display type

  - ### setDisplayType

    public void setDisplayType​(DisplayType displayType)
    Sets a value used to associate an icon with a particular row of a table.
    Parameters:
      `displayType` - the new display type

  - ### getEntryId

    public byte[] getEntryId()
    Gets the EntryID of the recipient.
    Returns:
      the entry id

  - ### setEntryId

    public void setEntryId​(byte[] entryId)
    Sets the EntryID of the recipient.
    Parameters:
      `entryId` - the new entry id

  - ### getInstanceKey

    public byte[] getInstanceKey()
    Gets a value that uniquely identifies a row in a table.
    Returns:
      the instance key

  - ### setInstanceKey

    public void setInstanceKey​(byte[] instanceKey)
    Sets a value that uniquely identifies a row in a table.
    Parameters:
      `instanceKey` - the new instance key

  - ### getSearchKey

    public byte[] getSearchKey()
    Gets a binary-comparable key that identifies correlated objects for a search.
    Returns:
      the search key

  - ### setSearchKey

    public void setSearchKey​(byte[] searchKey)
    Sets a binary-comparable key that identifies correlated objects for a search.
    Parameters:
      `searchKey` - the new search key

  - ### getResponsibility

    public boolean getResponsibility()
    Gets true if some transport provider has already accepted responsibility for delivering the message to this recipient, and false if the MAPI spooler considers that this transport provider should accept responsibility.
    Returns:
      the responsibility

  - ### setResponsibility

    public void setResponsibility​(boolean responsibility)
    Sets true if some transport provider has already accepted responsibility for delivering the message to this recipient, and false if the MAPI spooler considers that this transport provider should accept responsibility.
    Parameters:
      `responsibility` - the new responsibility

  - ### getSmtpAddress

    public String getSmtpAddress()
    Gets SMTP email address.
    Returns:
      the smtp address

  - ### setSmtpAddress

    public void setSmtpAddress​(String smtpAddress)
    Sets SMTP email address.
    Parameters:
      `smtpAddress` - the new smtp address

  - ### getDisplayName7Bit

    public String getDisplayName7Bit()
    Gets a 7-bit ASCII representation of the recipient's display name.
    Returns:
      the display name7 bit

  - ### setDisplayName7Bit

    public void setDisplayName7Bit​(String displayName7Bit)
    Sets a 7-bit ASCII representation of the recipient's display name.
    Parameters:
      `displayName7Bit` - the new display name7 bit

  - ### getTransmitableDisplayName

    public String getTransmitableDisplayName()
    Gets a recipient's display name in a secure form that cannot be changed.
    Returns:
      the transmitable display name

  - ### setTransmitableDisplayName

    public void setTransmitableDisplayName​(String transmitableDisplayName)
    Sets a recipient's display name in a secure form that cannot be changed.
    Parameters:
      `transmitableDisplayName` - the new transmitable display name

  - ### getSendRichInfo

    public boolean getSendRichInfo()
    Gets true if the recipient can receive all message content, including Rich Text Format (RTF) and Object Linking and Embedding (OLE) objects.
    Returns:
      the send rich info

  - ### setSendRichInfo

    public void setSendRichInfo​(boolean sendRichInfo)
    Sets true if the recipient can receive all message content, including Rich Text Format (RTF) and Object Linking and Embedding (OLE) objects.
    Parameters:
      `sendRichInfo` - the new send rich info

  - ### getSendInternetEncoding

    public int getSendInternetEncoding()
    Gets a bitmask of encoding preferences.
    Returns:
      the send internet encoding

  - ### setSendInternetEncoding

    public void setSendInternetEncoding​(int sendInternetEncoding)
    Sets a bitmask of encoding preferences.
    Parameters:
      `sendInternetEncoding` - the new send internet encoding

  - ### getOriginatingAddressType

    public String getOriginatingAddressType()
    Gets the originating address type.
    Returns:
      the originating address type

  - ### setOriginatingAddressType

    public void setOriginatingAddressType​(String originatingAddressType)
    Sets the originating address type.
    Parameters:
      `originatingAddressType` - the new originating address type

  - ### getOriginatingEmailAddress

    public String getOriginatingEmailAddress()
    Gets the originating email address.
    Returns:
      the originating email address

  - ### setOriginatingEmailAddress

    public void setOriginatingEmailAddress​(String originatingEmailAddress)
    Sets the originating email address.
    Parameters:
      `originatingEmailAddress` - the new originating email address